package web

import (
	"doolta.com/api/auth"
	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/fiber/v2/middleware/adaptor"
)

func (s *Server) Routes() {
	s.router.Get("/hello", func(c *fiber.Ctx) error {
		return c.SendString("Hello, World!")
	})
	s.router.Get("/login", adaptor.HTTPHandlerFunc(auth.LoginHandler))
	/*
		r.HandleFunc("/logout", auth.LogoutHandler).Methods("GET")
		r.HandleFunc("/login_check", auth.LoginCheckHandler).Methods("POST")
		r.HandleFunc("/signup", auth.SignupHandler).Methods("GET")
		r.HandleFunc("/signup_check", auth.SignupCheckHandler).Methods("POST")
		r.HandleFunc("/validate/{hash:.+}", auth.ValidateLinkHandler).Methods("GET")
	*/
	// http.HandlerFunc -> fiber.Handler
	//app.Get("/greet", adaptor.HTTPHandlerFunc(greet)
	//   where : func greet(w http.ResponseWriter, r *http.Request) { }
	//app.Get("/greet", adaptor.HTTPHandler(handler(greet))
	//   where : func handler(f http.HandlerFunc) http.Handler { }
}
